{
	saved_yet [0]

	Init[ ()
	{
		if( saved_yet = 0 )
		{
			saved_yet = 1;
			SetState_TruckChase();

			bud = Level.CreateEntity(185,0,0,0);
			bud.GiveWeapon(56);
			bud.AttachTo(self,4);
			bud.PlayAnimation(13);
			bud.SetNationality(1);
			bud.SetWalking();
			bud.SetState_Attack(0);
			bud.SetAttackDistance(25,10);
			bud.SetLineOfSight(2,160);
			bud.TurnTo(Level.GetPlayer());
			bud.EnableNDY( false );

			bud2 = Level.CreateEntity(185,0,0,0);
			bud2.GiveWeapon(56);
			bud2.AttachTo(self,5);
			bud2.PlayAnimation(14);
			bud2.SetNationality(1);
			bud2.SetWalking();
			bud2.SetState_Attack(0);
			bud2.SetAttackDistance(25,10);
			bud2.SetLineOfSight(2,160);
			bud2.TurnTo(Level.GetPlayer());
			bud2.EnableNDY( false );

			bud3 = Level.CreateEntity(185,0,0,0);
			bud3.GiveWeapon(56);
			bud3.AttachTo(self,6);
			bud3.PlayAnimation(13);
			bud3.SetNationality(1);
			bud3.SetWalking();
			bud3.SetState_Attack(0);
			bud3.SetAttackDistance(25,10);
			bud3.SetLineOfSight(2,160);
			bud3.TurnTo(Level.GetPlayer());
			bud3.EnableNDY( false );
		}
	}]

	DriveToBridge[()
	{
		FollowPath( "gDrive01a", 0 );
		FollowPathCallback( 127, "ParkAtBridge" );
	}]
	ParkAtBridge[ ()
	{
		FollowPath( "rDrive01b" );
		FollowPathCallback( 127, "FollowPath", "gDrive01b" );
	}]

	DriveToTunnel[()
	{
		FollowPath( "gDrive02a", 0 );
		FollowPathCallback( 127, "ParkEndTunnel" );
	}]
	ParkEndTunnel[()
	{
		FollowPath( "rDrive03b", 0 );
	}]
}